Package org.gradle.tooling.model.kotlin.dsl

## Interface EditorReport

-     public interface EditorReport

  Report to the editor.
  Since:
    6.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getMessage()` |
    `EditorPosition` | `getPosition()` |
    `EditorReportSeverity` | `getSeverity()` |

- - ### Method Detail

    - #### getSeverity

          EditorReportSeverity getSeverity()

    - #### getMessage

          java.lang.String getMessage()

    - #### getPosition

          @Nullable
          EditorPosition getPosition()